This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 631150 - FTBFS cstream-2.7.6-3.fc12
FTBFS cstream-2.7.6-3.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cstream (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 13:01 EDT by FTBFS
Modified: 2011-02-24 01:34 EST (History)
2 users (show)

See Also:
Fixed In Version: cstream-2.7.6-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-12 15:20:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (13.79 KB, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
build.log (9.04 KB, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
mock.log (890 bytes, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
root.log (13.97 KB, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
build.log (8.90 KB, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
mock.log (967 bytes, text/plain)
2010-09-07 13:01 EDT, FTBFS
no flags Details
Untested patch: Fix double assignment (487 bytes, patch)
2010-09-09 16:46 EDT, Hans Ulrich Niedermann
no flags Details | Diff

  None (edit)
Description FTBFS 2010-09-07 13:01:06 EDT
cstream-2.7.6-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 13:01:10 EDT
Created an attachment (id=444224)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 13:01:11 EDT
Created an attachment (id=444225)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 13:01:12 EDT
Created an attachment (id=444226)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 13:01:14 EDT
Created an attachment (id=444227)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 13:01:15 EDT
Created an attachment (id=444228)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 13:01:16 EDT
Created an attachment (id=444229)
mock.log

mock.log for x86_64
Comment 7 Hans Ulrich Niedermann 2010-09-09 16:46:48 EDT
Created attachment 446375 [details]
Untested patch: Fix double assignment

Fix double assignment
    
    An assignment of the form "a = a = 23;" causes a compiler
    warning in F14 and beyond. As assigning the value once or
    twice should make no difference, we now just do "a = 23;".
Comment 8 Hans Ulrich Niedermann 2010-09-09 16:50:21 EDT
I cannot run local mock builds or koji builds to actually test the double assignment patch. Will do that in a few days.
Comment 9 Hans Ulrich Niedermann 2010-09-10 02:48:33 EDT
For the record: this also might be considered a gcc bug.

  int a;
  a = a = 23;

giving a warning of

  cc1: warnings being treated as errors
  foo.c: In function 'loop':
  foo.c:MM:NN: error: operation on 'a' may be undefined

is counter-intuitive, to say the least.
Comment 10 Fedora Update System 2010-09-10 12:14:40 EDT
cstream-2.7.6-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cstream-2.7.6-4.fc13
Comment 11 Fedora Update System 2010-09-10 12:14:44 EDT
cstream-2.7.6-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cstream-2.7.6-4.fc14
Comment 12 Fedora Update System 2010-09-10 12:14:49 EDT
cstream-2.7.6-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cstream-2.7.6-4.fc12
Comment 13 Fedora Update System 2010-09-10 22:19:48 EDT
cstream-2.7.6-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cstream'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cstream-2.7.6-4.fc14
Comment 14 Matt Domsch 2010-12-12 15:20:49 EST
cstream-2.7.6-4.fc15 builds in rawhide as of 2010-12-01.
Comment 15 Fedora Update System 2011-02-24 01:32:20 EST
cstream-2.7.6-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-02-24 01:34:22 EST
cstream-2.7.6-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.